Get a template
GET
/v1/templates/{id}
const url = 'https://shareout.site/v1/templates/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/templates/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”The template
Media type application/json
object
id
string
artifact_id
string | null
owner_id
string
name
string
subject
string
html
string
text_body
string
is_system
boolean
created_at
integer
updated_at
integer
Example generated
{ "id": "example", "artifact_id": "example", "owner_id": "example", "name": "example", "subject": "example", "html": "example", "text_body": "example", "is_system": true, "created_at": 1, "updated_at": 1}Resource not found
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}